Package com.io7m.coffeepick.runtime

# Class RuntimeBuild.Builder

java.lang.Object
com.io7m.coffeepick.runtime.RuntimeBuild.Builder

Enclosing class:
  RuntimeBuild

    public static final class RuntimeBuild.Builder
    extends java.lang.Object

Builds instances of type `RuntimeBuild`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `RuntimeBuild` | `build()` | Builds a new `RuntimeBuild`.
  `RuntimeBuild.Builder` | `from​(RuntimeBuildType instance)` | Fill a builder with attribute values from the provided `RuntimeBuildType` instance.
  `RuntimeBuild.Builder` | `setBuildNumber​(java.lang.String buildNumber)` | Initializes the value for the `buildNumber` attribute.
  `RuntimeBuild.Builder` | `setTime​(java.time.OffsetDateTime time)` | Initializes the value for the `time` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final RuntimeBuild.Builder from​(RuntimeBuildType instance)
    Fill a builder with attribute values from the provided `RuntimeBuildType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setBuildNumber

    public final RuntimeBuild.Builder setBuildNumber​(java.lang.String buildNumber)
    Initializes the value for the `buildNumber` attribute.
    Parameters:
      `buildNumber` - The value for buildNumber
    Returns:
      `this` builder for use in a chained invocation

  - ### setTime

    public final RuntimeBuild.Builder setTime​(java.time.OffsetDateTime time)
    Initializes the value for the `time` attribute.
    Parameters:
      `time` - The value for time
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public RuntimeBuild build()
    Builds a new `RuntimeBuild`.
    Returns:
      An immutable instance of RuntimeBuild
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing